Mageia 2022-0310: python-ldap security update | LinuxSecurity.com
MGASA-2022-0310 - Updated python-ldap packages fix security vulnerability

Publication date: 29 Aug 2022
URL: https://advisories.mageia.org/MGASA-2022-0310.html
Type: security
Affected Mageia releases: 8
CVE: CVE-2021-46823

It was discovered that Python LDAP incorrectly handled certain regular
expressions. A remote attacker could possibly use this issue to cause a
denial of service (CVE-2021-46823).

References:
- https://bugs.mageia.org/show_bug.cgi?id=30627
- https://nvd.nist.gov/vuln/detail/CVE-2021-46823
- https://ubuntu.com/security/notices/USN-5508-1
- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-46823

SRPMS:
- 8/core/python-ldap-3.3.1-1.1.mga8

Mageia 2022-0310: python-ldap security update

It was discovered that Python LDAP incorrectly handled certain regular expressions

Summary

It was discovered that Python LDAP incorrectly handled certain regular expressions. A remote attacker could possibly use this issue to cause a denial of service (CVE-2021-46823).

References

- https://bugs.mageia.org/show_bug.cgi?id=30627

- https://nvd.nist.gov/vuln/detail/CVE-2021-46823

- https://ubuntu.com/security/notices/USN-5508-1

- https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-46823

Resolution

MGASA-2022-0310 - Updated python-ldap packages fix security vulnerability

SRPMS

- 8/core/python-ldap-3.3.1-1.1.mga8

Severity
Publication date: 29 Aug 2022
URL: https://advisories.mageia.org/MGASA-2022-0310.html
Type: security
CVE: CVE-2021-46823

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.